import PropTypes from 'prop-types';
import MoleculeNotification, { BRDS_SIZE, TYPES, VARIATIONS } from '@s-ui/react-molecule-notification';
import { BASE_CLASS } from './../../config.js';
import useI18n from './../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var Notification = function Notification(_ref) {
  var notificationText = _ref.notificationText,
    handleResend = _ref.handleResend;
  var i18n = useI18n();
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-formNotification",
    children: [/*#__PURE__*/_jsx(MoleculeNotification, {
      autoClose: null,
      icon: " ",
      roundedCorners: BRDS_SIZE.medium,
      showCloseButton: false,
      text: notificationText,
      type: TYPES.success,
      variation: VARIATIONS.negative
    }), /*#__PURE__*/_jsxs("p", {
      className: BASE_CLASS + "-formText",
      children: [/*#__PURE__*/_jsx("span", {
        dangerouslySetInnerHTML: {
          __html: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RESEND_TEXT')
        }
      }), " ", /*#__PURE__*/_jsx("span", {
        className: BASE_CLASS + "-formTextAnchor",
        onClick: handleResend,
        children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.RESEND_LINK')
      }), "."]
    })]
  });
};
Notification.displayName = 'Notification';
export default Notification;