import { useState } from 'react';
import AtomButton, {
// atomButtonDesigns,
atomButtonShapes, atomButtonSizes } from '@s-ui/react-atom-button';
import MoleculeInputField from '@s-ui/react-molecule-input-field';
import { BASE_CLASS, DEFAULT_EYE_CLOSED_OUTLINE, DEFAULT_EYE_OPEN_OUTLINE } from './../../config.js';
import useI18n from './../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var PasswordChangeForm = function PasswordChangeForm() {
  var i18n = useI18n();
  var _useState = useState(''),
    newPassword = _useState[0],
    setNewPassword = _useState[1];
  var _useState2 = useState('sui-password'),
    typeNewPasswordField = _useState2[0],
    setTypeNewPasswordField = _useState2[1];
  var _useState3 = useState(''),
    repeatPassword = _useState3[0],
    setRepeatPassword = _useState3[1];
  var _useState4 = useState('sui-password'),
    typeRepeatPasswordField = _useState4[0],
    setTypeRepeatPasswordField = _useState4[1];
  var handleChange = function handleChange(e) {
    var _e$target = e == null ? void 0 : e.target,
      value = _e$target.value;
    setNewPassword(value);
    console.log('handleChange', value);
  };
  var handleChangeRepeat = function handleChangeRepeat(e) {
    var _e$target2 = e == null ? void 0 : e.target,
      value = _e$target2.value;
    setRepeatPassword(value);
    console.log('handleChange repeat', value);
  };
  var handleSubmit = function handleSubmit() {
    console.log('handleSubmit: Call to use case');
  };
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-formInput",
      children: /*#__PURE__*/_jsx(MoleculeInputField
      // errorText={errorText}
      , {
        id: "new_password",
        label: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.NEW_PASSWORD_LABEL'),
        name: "new_password",
        onChange: handleChange,
        placeholder: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.PLACEHOLDER'),
        size: "l",
        type: typeNewPasswordField,
        rightIcon: typeNewPasswordField === 'sui-password' ? DEFAULT_EYE_CLOSED_OUTLINE : DEFAULT_EYE_OPEN_OUTLINE,
        onClickRightIcon: function onClickRightIcon() {
          return typeNewPasswordField === 'sui-password' ? setTypeNewPasswordField('text') : setTypeNewPasswordField('sui-password');
        },
        pwHideLabel: "",
        pwShowLabel: "",
        value: newPassword
      })
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-formInput",
      children: /*#__PURE__*/_jsx(MoleculeInputField
      // errorText={errorText}
      , {
        id: "repeat_password",
        label: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.REPEAT_PASSWORD_LABEL'),
        name: "repeat_password",
        onChange: handleChangeRepeat,
        placeholder: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.PLACEHOLDER'),
        size: "l",
        type: typeRepeatPasswordField,
        rightIcon: typeRepeatPasswordField === 'sui-password' ? DEFAULT_EYE_CLOSED_OUTLINE : DEFAULT_EYE_OPEN_OUTLINE,
        onClickRightIcon: function onClickRightIcon() {
          return typeRepeatPasswordField === 'sui-password' ? setTypeRepeatPasswordField('text') : setTypeRepeatPasswordField('sui-password');
        },
        pwHideLabel: "",
        pwShowLabel: "",
        value: repeatPassword
      })
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-formButtons",
      children: /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formButton",
        children: /*#__PURE__*/_jsx(AtomButton
        // disabled={}  // TODO
        , {
          fullWidth: true
          // isLoading={isLoading}  // TODO
          ,
          onClick: handleSubmit,
          shape: atomButtonShapes.CIRCULAR,
          size: atomButtonSizes.LARGE,
          children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_2.SUBMIT_BUTTON')
        })
      })
    })]
  });
};
PasswordChangeForm.displayName = 'PasswordChangeForm';
export default PasswordChangeForm;