import { BASE_CLASS, STAGE_PASSWORD_RESET_START } from '../../config.js';
import useGetCurrentToken from '../../hooks/useGetCurrentToken.js';
import useI18n from './../../hooks/useI18n.js';
import PasswordChangeForm from './PasswordChangeForm.js';
import PasswordResetForm from './PasswordResetForm.js';
import UserAcquisitionText from './UserAcquisitionText.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
var Form = function Form() {
  var i18n = useI18n();
  var title = i18n.t('LOGIN_CROSS.PASSWORD_RESET.REMEMBER_PASSWORD_TITLE');
  var _useGetCurrentToken = useGetCurrentToken(),
    getCurrentToken = _useGetCurrentToken.getCurrentToken;
  var _getCurrentToken = getCurrentToken(),
    stage = _getCurrentToken.stage;
  var isInitialStep = stage === STAGE_PASSWORD_RESET_START;
  var Form = isInitialStep ? PasswordResetForm : PasswordChangeForm;
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs("div", {
      className: BASE_CLASS + "-form",
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-formHeader",
        children: /*#__PURE__*/_jsx("h1", {
          className: BASE_CLASS + "-formHeaderTitle",
          children: title
        })
      }), /*#__PURE__*/_jsxs("div", {
        className: BASE_CLASS + "-formContent",
        children: [/*#__PURE__*/_jsx(Form, {}), isInitialStep ? /*#__PURE__*/_jsx(UserAcquisitionText, {}) : null]
      })]
    }), /*#__PURE__*/_jsx("div", {
      className: "sui-LoginPasswordReset-banner",
      children: "BANNER ;-)"
    })]
  });
};
Form.displayName = 'Form';
export default Form;