import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _applyDecoratedDescriptor from "@babel/runtime/helpers/esm/applyDecoratedDescriptor";
var _class;
import { inlineError } from '@s-ui/decorators';
import { PasswordRepository } from './PasswordRepository.js';
export var HTTPPasswordRepository = (_class = /*#__PURE__*/function (_PasswordRepository) {
  _inheritsLoose(HTTPPasswordRepository, _PasswordRepository);
  function HTTPPasswordRepository(_ref) {
    var _this;
    var config = _ref.config,
      fetcher = _ref.fetcher,
      passwordError = _ref.passwordError;
    _this = _PasswordRepository.call(this) || this;
    _this._config = config;
    _this._fetcher = fetcher;
    _this._passwordError = passwordError;
    return _this;
  }
  var _proto = HTTPPasswordRepository.prototype;
  _proto.changePassword = function changePassword(_ref2) {
    var _this2 = this;
    var changePasswordRequest = _ref2.changePasswordRequest;
    var password = changePasswordRequest.getPassword();
    var token = changePasswordRequest.getToken();
    var path = this._config.get('CHANGE_PASSWORD_ENDPOINT');
    return this._fetcher.post({
      path: path,
      params: {
        password: password,
        token: token
      }
    }).then(function () {
      return true;
    }).catch(function () {
      throw _this2._passwordError('Unhandled error occurred');
    });
  };
  _proto.resetPassword = function resetPassword(_ref3) {
    var _this3 = this;
    var resetPasswordRequest = _ref3.resetPasswordRequest;
    var email = resetPasswordRequest.getEmail();
    var path = this._config.get('RESET_PASSWORD_ENDPOINT');
    return this._fetcher.post({
      path: path,
      params: {
        email: email
      }
    }).then(function () {
      return true;
    }).catch(function () {
      throw _this3._passwordError('Unhandled error occurred');
    });
  };
  return HTTPPasswordRepository;
}(PasswordRepository), (_applyDecoratedDescriptor(_class.prototype, "changePassword", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "changePassword"), _class.prototype), _applyDecoratedDescriptor(_class.prototype, "resetPassword", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "resetPassword"), _class.prototype)), _class);