import { PasswordRequestsFactory } from '../Requests/factory.js';
import { PasswordServicesFactory } from '../Services/factory.js';
import { ChangePasswordUseCase } from './ChangePasswordUseCase.js';
import { ResetPasswordUseCase } from './ResetPasswordUseCase.js';
var PasswordUseCasesFactory = function PasswordUseCasesFactory() {};
PasswordUseCasesFactory.changePasswordUseCase = function (_ref) {
  var config = _ref.config;
  return new ChangePasswordUseCase({
    config: config,
    changePasswordService: PasswordServicesFactory.changePasswordService({
      config: config
    }),
    changePasswordRequest: PasswordRequestsFactory.changePasswordRequest
  });
};
PasswordUseCasesFactory.resetPasswordUseCase = function (_ref2) {
  var config = _ref2.config;
  return new ResetPasswordUseCase({
    config: config,
    resetPasswordService: PasswordServicesFactory.resetPasswordService({
      config: config
    }),
    resetPasswordRequest: PasswordRequestsFactory.resetPasswordRequest
  });
};
export { PasswordUseCasesFactory as default };