import { useContext } from 'react';
import { EVENTS } from '../config.js';
import { PasswordResetContext } from '../context.js';
var useEventBus = function useEventBus() {
  var _useContext = useContext(PasswordResetContext),
    onEvent = _useContext.props.onEvent;
  var emit = function emit(event, payload) {
    if (Object.values(EVENTS).includes(event) === false) throw new Error("\"" + event + "\" is not an accepted event name");
    onEvent(event, payload);
  };
  return {
    emit: emit
  };
};
export default useEventBus;