import { useContext } from 'react';
import { STAGE_PASSWORD_CHANGE, STAGE_PASSWORD_RESET_START } from '../config.js';
import { PasswordResetContext } from '../context.js';
var useGetCurrentToken = function useGetCurrentToken() {
  var _useContext = useContext(PasswordResetContext),
    defaultStage = _useContext.props.defaultStage;

  // This could be a use case
  var getCurrentToken = function getCurrentToken() {
    // When running in SSR mode
    if (!window) {
      return {
        stage: defaultStage,
        isExpired: false,
        token: ''
      };
    }

    // Get url params
    var searchParams = new URLSearchParams(window.location.search);
    var token = searchParams.get('token');
    var exp = searchParams.get('exp');
    if (token && exp) {
      return {
        token: token,
        isExpired: new Date() > new Date(exp),
        stage: STAGE_PASSWORD_CHANGE
      };
    }
    return {
      stage: STAGE_PASSWORD_RESET_START,
      isExpired: null,
      token: null
    };
  };
  return {
    getCurrentToken: getCurrentToken
  };
};
export default useGetCurrentToken;